﻿@model WebbApp.Models.Store.MyStoreViewModel;

@{
    ViewData["Title"] = "Store";
}

@section css {
    <link href="~/css/view/store/CreateMyStore.css" rel="stylesheet" type="text/css">
}

<!-- Page Heading -->
<h1 class="h3 mb-2 text-gray-800">Create Store</h1>

 <div class="container">
    <div class="card o-hidden border-0 shadow-lg my-5">
        <div class="card-body p-0">
            <!-- Nested Row within Card Body -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="p-5">
                        <div class="text-center">
                            <h1 class="h4 text-gray-900 mb-4">Create Store</h1>
                        </div>
                        <form asp-controller="Store" asp-action="CreateStoreProcess" class="user">
                            <div class="form-group row">
                                <div class="col-sm-12 mb-3 mb-sm-0">
                                    <input asp-for=@Model.HeaderPictBase64 class="d-none" type="text" id="img-cover-pict-base64str" />
                                    <input onchange="previewImage(event,'img-cover-pict-preview', 'img-cover-pict-base64str')" class="d-none" type="file" id="img-cover-pict-input-file" accept="image/png, image/jpeg, image/jpg" />
                                    <img onclick="openFile('img-cover-pict-input-file')" id="img-cover-pict-preview" src="http://localhost:9000/assets/image/shop2.jpg" alt="...">
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-sm-2 mb-3 mb-sm-0">
                                    <input asp-for=@Model.ProfilleBase64 class="d-none" type="text" id="img-profile-pict-base64str" />
                                    <input onchange="previewImage(event,'img-profile-pict-preview', 'img-profile-pict-base64str')" class="d-none" type="file" id="img-profile-pict-input-file" accept="image/png, image/jpeg, image/jpg" />
                                    <img onclick="openFile('img-profile-pict-input-file')" id="img-profile-pict-preview" src="http://localhost:9000/assets/image/shop2.jpg" class="rounded mx-auto d-block" alt="...">
                                </div>
                            </div>
                            <div class="form-group">
                                <input asp-for=@Model.Name type="text" class="form-control form-control-user" id="store_name" placeholder="Name" />
                            </div>
                            <button type="submit" id="submit-register-btn" class="btn btn-primary btn-user btn-block">
                                    Create
                            </button>   
                        </form>
                        <hr>
                    </div>
                </div>
            </div>
        </div>
    </div>
 </div>
@section script{
    <script src="~/js/view/store/CreateMyStore.js" ></script>
}